GNU bug report logs - #17978
24.3; forward-paragraph broken with javadocs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Justine Tunney <jart@HIDDEN>; dated Wed, 9 Jul 2014 18:14:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 17978 <at> debbugs.gnu.org:


Received: (at 17978) by debbugs.gnu.org; 13 Jul 2014 13:27:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 13 09:27:58 2014
Received: from localhost ([127.0.0.1]:53569 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X6Joq-0002CP-Tc
	for submit <at> debbugs.gnu.org; Sun, 13 Jul 2014 09:27:57 -0400
Received: from colin.muc.de ([193.149.48.1]:35836 helo=mail.muc.de)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <acm@HIDDEN>) id 1X6Jol-0002CA-Pu
 for 17978 <at> debbugs.gnu.org; Sun, 13 Jul 2014 09:27:53 -0400
Received: (qmail 11035 invoked by uid 3782); 13 Jul 2014 13:27:49 -0000
Received: from acm.muc.de (pD951B126.dip0.t-ipconnect.de [217.81.177.38]) by
 colin.muc.de (tmda-ofmipd) with ESMTP;
 Sun, 13 Jul 2014 15:27:41 +0200
Received: (qmail 4204 invoked by uid 1000); 13 Jul 2014 13:23:01 -0000
Date: Sun, 13 Jul 2014 13:23:01 +0000
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#17978: 24.3; forward-paragraph broken with javadocs
Message-ID: <20140713132301.GA4056@HIDDEN>
References: <CAKTZs+oC7r4ojzPZMbAJWZMFFbnaO4SjcqaQGCJX90Hf07x03Q@HIDDEN>
 <jwvd2denxl6.fsf-monnier+emacsbugs@HIDDEN>
 <CAKTZs+p5ZztfDCSQPjjN_uS4DSDN4mH+KxJq4cVOMbO2zwj5-w@HIDDEN>
 <jwv4myqqiex.fsf-monnier+emacsbugs@HIDDEN>
 <CAKTZs+qChP8BGjqXJNv5XKuCKm2oK65haiaBB_kmB_LGkNKLJg@HIDDEN>
 <jwvbnsxq5hn.fsf-monnier+emacsbugs@HIDDEN>
 <864myoe66i.fsf@HIDDEN> <86zjggcp7s.fsf@HIDDEN>
 <jwvtx6ohup3.fsf-monnier+emacsbugs@HIDDEN>
 <53C1D74D.5010709@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <53C1D74D.5010709@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Delivery-Agent: TMDA/1.1.12 (Macallan)
From: Alan Mackenzie <acm@HIDDEN>
X-Primary-Address: acm@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17978
Cc: Justine Tunney <jart@HIDDEN>, Stefan Monnier <monnier@HIDDEN>,
 17978 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi, Justine, Hi, Dmitry and Stefan.

On Sun, Jul 13, 2014 at 03:48:13AM +0300, Dmitry Gutov wrote:
> On 07/11/2014 04:51 PM, Stefan Monnier wrote:
> >> Or maybe we should save the computed value, but then kill the
> >> buffer-local value of `paragraph-start'?

> > That's probably the most straightforward solution, yes.

> Seems like it would need to be done in `c-setup-paragraph-variables' for 
> all CC Engine modes, if done at all. So the choice is probably up to its 
> maintainer.

> Alan, what do you think?

With all due respect to the OP, the purpose of C-{ and C-} is to move
between paragraphs, not blank lines.  Or, alternatively, in CC Mode, a
line which contains only a comment prefix is considered to be blank.

The motivation for this is to be able to move by paragraphs in large
comments, such are frequently found at the beginning of source files.
Sometimes, comments for individual functions are also quite sizeable.
And of course, as already mentioned, filling should do the Right Thing
inside comments.  If backward-paragraph (and forward-paragraph) were to
be redefined not to handle comment prefices specially, the facility to
move by paragraphs inside large comments (when the comment prefix is
non-null) would be lost.

I don't think we should change things here.

Maybe what we really need is commands beginning-of-comment and
end-of-comment.

As an alternative to C-{, there's always M-- C-M-e (move to the end of
the previous function) which does almost the same thing in the OP's
particular use case, and is only slightly more awkward to type.

-- 
Alan Mackenzie (Nuremberg, Germany).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17978; Package emacs. Full text available.

Message received at 17978 <at> debbugs.gnu.org:


Received: (at 17978) by debbugs.gnu.org; 13 Jul 2014 00:48:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 12 20:48:28 2014
Received: from localhost ([127.0.0.1]:53301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X67xs-0004N4-K5
	for submit <at> debbugs.gnu.org; Sat, 12 Jul 2014 20:48:28 -0400
Received: from mail-wg0-f46.google.com ([74.125.82.46]:65397)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <raaahh@HIDDEN>) id 1X67xp-0004Mq-4Z
 for 17978 <at> debbugs.gnu.org; Sat, 12 Jul 2014 20:48:25 -0400
Received: by mail-wg0-f46.google.com with SMTP id m15so2613244wgh.29
 for <17978 <at> debbugs.gnu.org>; Sat, 12 Jul 2014 17:48:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:message-id:date:from:user-agent:mime-version:to:cc:subject
 :references:in-reply-to:content-type:content-transfer-encoding;
 bh=fo2FM6YBhlBMe8nP28W93nvzrRYa30PBGsypEsLW+34=;
 b=AzcHE8KFuoRn1HIi/vP6wUraezer9HFxb3bWlUecuM5fKDxj1gDagVB6NouIMejge8
 DrtTjM+Ji7w0VhfKgUd5XHc1PUhAC96hwkPnmKpbAKQTHfCaKQqP3hQkguk4+CGNOjMH
 kgtL4surxtF4Hdsgs6P0PpgD7nklFWy4io+YVTK7Vy5DP1+Mjmh0wPiG/m+uSHENgykb
 PRfsSap9t0H+DqQFuwZ4Zgw2quQxBQFZeZS8Xio2f+QD9XvxM+RqfOYFkTQMcTYaiu/o
 9FAJT95Tb6PkmcEiSmp5jkK+DYgaAp1kA7EAldRYFF7vSBSawQcHnJ0BKDkogYp6fia0
 Bkdw==
X-Received: by 10.194.5.103 with SMTP id r7mr9350915wjr.41.1405212497661;
 Sat, 12 Jul 2014 17:48:17 -0700 (PDT)
Received: from [10.8.0.26] (v-2-eu19-d3962-07.webazilla.com. [78.140.151.7])
 by mx.google.com with ESMTPSA id fu7sm12558618wib.2.2014.07.12.17.48.15
 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Sat, 12 Jul 2014 17:48:16 -0700 (PDT)
Message-ID: <53C1D74D.5010709@HIDDEN>
Date: Sun, 13 Jul 2014 03:48:13 +0300
From: Dmitry Gutov <dgutov@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.6.0
MIME-Version: 1.0
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#17978: 24.3; forward-paragraph broken with javadocs
References: <CAKTZs+oC7r4ojzPZMbAJWZMFFbnaO4SjcqaQGCJX90Hf07x03Q@HIDDEN>	<jwvd2denxl6.fsf-monnier+emacsbugs@HIDDEN>	<CAKTZs+p5ZztfDCSQPjjN_uS4DSDN4mH+KxJq4cVOMbO2zwj5-w@HIDDEN>	<jwv4myqqiex.fsf-monnier+emacsbugs@HIDDEN>	<CAKTZs+qChP8BGjqXJNv5XKuCKm2oK65haiaBB_kmB_LGkNKLJg@HIDDEN>	<jwvbnsxq5hn.fsf-monnier+emacsbugs@HIDDEN>
 <864myoe66i.fsf@HIDDEN>	<86zjggcp7s.fsf@HIDDEN>
 <jwvtx6ohup3.fsf-monnier+emacsbugs@HIDDEN>
In-Reply-To: <jwvtx6ohup3.fsf-monnier+emacsbugs@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17978
Cc: Alan Mackenzie <acm@HIDDEN>, Justine Tunney <jart@HIDDEN>,
 17978 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 07/11/2014 04:51 PM, Stefan Monnier wrote:
>> Or maybe we should save the computed value, but then kill the
>> buffer-local value of `paragraph-start'?
>
> That's probably the most straightforward solution, yes.

Seems like it would need to be done in `c-setup-paragraph-variables' for 
all CC Engine modes, if done at all. So the choice is probably up to its 
maintainer.

Alan, what do you think?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17978; Package emacs. Full text available.

Message received at 17978 <at> debbugs.gnu.org:


Received: (at 17978) by debbugs.gnu.org; 11 Jul 2014 13:52:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 11 09:52:11 2014
Received: from localhost ([127.0.0.1]:53114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X5bF8-0008Rq-TJ
	for submit <at> debbugs.gnu.org; Fri, 11 Jul 2014 09:52:11 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:2495)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1X5bF2-0008RF-4A
 for 17978 <at> debbugs.gnu.org; Fri, 11 Jul 2014 09:52:05 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArUGAIDvNVNLd+D9/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDSQuh1YI0hkXjnoHhDgEqRmBaoNMIQ
X-IPAS-Result: ArUGAIDvNVNLd+D9/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDSQuh1YI0hkXjnoHhDgEqRmBaoNMIQ
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="77168788"
Received: from 75-119-224-253.dsl.teksavvy.com (HELO pastel.home)
 ([75.119.224.253])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 11 Jul 2014 09:51:53 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 9AF30616F3; Fri, 11 Jul 2014 09:51:53 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Dmitry <dgutov@HIDDEN>
Subject: Re: bug#17978: 24.3; forward-paragraph broken with javadocs
Message-ID: <jwvtx6ohup3.fsf-monnier+emacsbugs@HIDDEN>
References: <CAKTZs+oC7r4ojzPZMbAJWZMFFbnaO4SjcqaQGCJX90Hf07x03Q@HIDDEN>
 <jwvd2denxl6.fsf-monnier+emacsbugs@HIDDEN>
 <CAKTZs+p5ZztfDCSQPjjN_uS4DSDN4mH+KxJq4cVOMbO2zwj5-w@HIDDEN>
 <jwv4myqqiex.fsf-monnier+emacsbugs@HIDDEN>
 <CAKTZs+qChP8BGjqXJNv5XKuCKm2oK65haiaBB_kmB_LGkNKLJg@HIDDEN>
 <jwvbnsxq5hn.fsf-monnier+emacsbugs@HIDDEN> <864myoe66i.fsf@HIDDEN>
 <86zjggcp7s.fsf@HIDDEN>
Date: Fri, 11 Jul 2014 09:51:53 -0400
In-Reply-To: <86zjggcp7s.fsf@HIDDEN> (Dmitry's message of "Fri, 11 Jul 2014
 10:46:31 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17978
Cc: Justine Tunney <jart@HIDDEN>, 17978 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Or maybe we should save the computed value, but then kill the
> buffer-local value of `paragraph-start'?

That's probably the most straightforward solution, yes.

> `c-setup-paragraph-variables' intentionally sets the variable up this
> way, so maybe we should consider more carefully whether
> `backward-paragraph' should stop at those lines.

Paragraph movement within code is "non standard": I'm sure some users
use it regularly, but I'd expect the vast majority never uses it, and
all programming major modes I know don't seem to care about
paragraph movement.  Many do care about paragraph filling, tho.
So I'm pretty sure that the paragraph-* settings here are meant
specifically for filling and not for movement.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17978; Package emacs. Full text available.

Message received at 17978 <at> debbugs.gnu.org:


Received: (at 17978) by debbugs.gnu.org; 11 Jul 2014 07:46:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 11 03:46:48 2014
Received: from localhost ([127.0.0.1]:52831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X5VXb-0004cQ-Qy
	for submit <at> debbugs.gnu.org; Fri, 11 Jul 2014 03:46:48 -0400
Received: from mail-wi0-f180.google.com ([209.85.212.180]:62662)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <raaahh@HIDDEN>) id 1X5VXa-0004cB-3f
 for 17978 <at> debbugs.gnu.org; Fri, 11 Jul 2014 03:46:46 -0400
Received: by mail-wi0-f180.google.com with SMTP id hi2so879989wib.13
 for <17978 <at> debbugs.gnu.org>; Fri, 11 Jul 2014 00:46:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=uxzwTcZ/GdugCUhYJN45JB6ozWn7NWiPWLX1Eb/G3zQ=;
 b=uIenREfH/dgfM6eoBym4nu7KDgoR3TnQitbVkRBb3LBZS0cqwN95EZ3Cnz5OXdqe2p
 PGt3si7cw7UYhI4Gm7rf2i7cOwF2xjVx0491UKxBXHaKfLQKQkUEJknhezTdw49J7Nkm
 WY5ez98t/hE/sGcK9o8fFZRpshwM8ZVr5TzS6Dg9Fy1e1Dke4hVLW24fSlNuoiA57NL6
 usOruAuShGvqSTtIC/5NEzllpulnjk63KqgwjTwKUgu3xkZJRTBdNBML0pA3R+3CcoHb
 4ylxFCHQFvTgtERl9tq+lO9CI3rMY2sIgXz+ZSJ35GhUjZmV313bI1s0a7WIXiBTYyEr
 Qksg==
X-Received: by 10.180.8.10 with SMTP id n10mr2794392wia.41.1405064797107;
 Fri, 11 Jul 2014 00:46:37 -0700 (PDT)
Received: from axl (v-2-eu19-d3962-07.webazilla.com. [78.140.151.7])
 by mx.google.com with ESMTPSA id w5sm4453557wif.3.2014.07.11.00.46.35
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Fri, 11 Jul 2014 00:46:36 -0700 (PDT)
From: Dmitry <dgutov@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#17978: 24.3; forward-paragraph broken with javadocs
References: <CAKTZs+oC7r4ojzPZMbAJWZMFFbnaO4SjcqaQGCJX90Hf07x03Q@HIDDEN>
 <jwvd2denxl6.fsf-monnier+emacsbugs@HIDDEN>
 <CAKTZs+p5ZztfDCSQPjjN_uS4DSDN4mH+KxJq4cVOMbO2zwj5-w@HIDDEN>
 <jwv4myqqiex.fsf-monnier+emacsbugs@HIDDEN>
 <CAKTZs+qChP8BGjqXJNv5XKuCKm2oK65haiaBB_kmB_LGkNKLJg@HIDDEN>
 <jwvbnsxq5hn.fsf-monnier+emacsbugs@HIDDEN> <864myoe66i.fsf@HIDDEN>
Date: Fri, 11 Jul 2014 10:46:31 +0300
In-Reply-To: <864myoe66i.fsf@HIDDEN> (Dmitry's message of "Fri, 11 Jul 2014
 09:54:45 +0300")
Message-ID: <86zjggcp7s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17978
Cc: Justine Tunney <jart@HIDDEN>, 17978 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Dmitry <dgutov@HIDDEN> writes:

> This doesn't look straightforward to do, though: the final
> `paragraph-start' is obtained by calling `c-setup-paragraph-variables',
> so to get the value computed both ways, guess we'll have to call it at
> least twice.

Or maybe we should save the computed value, but then kill the
buffer-local value of `paragraph-start'?

This actually seems to be what Justine is asking for, because the
"unexpected" paragraph movement happens not just because of javadocs,
but also due to the "empty" lines within the comment.

`c-setup-paragraph-variables' intentionally sets the variable up this
way, so maybe we should consider more carefully whether
`backward-paragraph' should stop at those lines.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17978; Package emacs. Full text available.

Message received at 17978 <at> debbugs.gnu.org:


Received: (at 17978) by debbugs.gnu.org; 11 Jul 2014 06:55:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 11 02:54:59 2014
Received: from localhost ([127.0.0.1]:52820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X5UjT-00032A-GD
	for submit <at> debbugs.gnu.org; Fri, 11 Jul 2014 02:54:59 -0400
Received: from mail-wi0-f172.google.com ([209.85.212.172]:57566)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <raaahh@HIDDEN>) id 1X5UjR-00031n-Tg
 for 17978 <at> debbugs.gnu.org; Fri, 11 Jul 2014 02:54:58 -0400
Received: by mail-wi0-f172.google.com with SMTP id hi2so5720467wib.5
 for <17978 <at> debbugs.gnu.org>; Thu, 10 Jul 2014 23:54:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=u8VRvkYwfOVs5ZJHw1EGOqtVHBGFtJn2arA1QA5iwzQ=;
 b=yGzoyIwQ+e7rjegnPgUG47wNjqrOrSxHY8ghvQH8fQ5oNOL/tAtTZdRSh7AO3Zv9Ar
 aQC7IJNOkpnaf/oIlB4lEnOExrWbsJzDB4GyrOEpbhACBJC0/hcTa5kh0un/0lAqf9BY
 uqqmxlaPdzQyoqmHpKx27yyQ07W6wL42YiPtcMenrHlYCvwR19ehg/mwDiJsCAVnulCv
 wf4egOVvFbYB10/mn7+NoJ5cYez/Mw7H8exfpyXJY+Y2dAgI86iaMOmbqJfsCs6bBBnw
 UYSEtNzq3GIWU28yd10yCL1w2oaxpiWeQ0ZjXehK5IBCtnuMvWEXW0O0781orSMITcum
 dhYA==
X-Received: by 10.180.103.228 with SMTP id fz4mr2632822wib.4.1405061689708;
 Thu, 10 Jul 2014 23:54:49 -0700 (PDT)
Received: from axl (v-2-eu19-d3962-07.webazilla.com. [78.140.151.7])
 by mx.google.com with ESMTPSA id nc19sm4003098wic.4.2014.07.10.23.54.47
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Thu, 10 Jul 2014 23:54:48 -0700 (PDT)
From: Dmitry <dgutov@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#17978: 24.3; forward-paragraph broken with javadocs
References: <CAKTZs+oC7r4ojzPZMbAJWZMFFbnaO4SjcqaQGCJX90Hf07x03Q@HIDDEN>
 <jwvd2denxl6.fsf-monnier+emacsbugs@HIDDEN>
 <CAKTZs+p5ZztfDCSQPjjN_uS4DSDN4mH+KxJq4cVOMbO2zwj5-w@HIDDEN>
 <jwv4myqqiex.fsf-monnier+emacsbugs@HIDDEN>
 <CAKTZs+qChP8BGjqXJNv5XKuCKm2oK65haiaBB_kmB_LGkNKLJg@HIDDEN>
 <jwvbnsxq5hn.fsf-monnier+emacsbugs@HIDDEN>
Date: Fri, 11 Jul 2014 09:54:45 +0300
In-Reply-To: <jwvbnsxq5hn.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Wed, 09 Jul 2014 23:06:57 -0400")
Message-ID: <864myoe66i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17978
Cc: Justine Tunney <jart@HIDDEN>, 17978 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Stefan Monnier <monnier@HIDDEN> writes:

>> C-{ and C-} should cycle between blank lines. But the reason why this
>> doesn't happen in java-mode, is because Java redefines the definition of a
>> paragraph. It sets the paragraph-start variable (among other variables) so
>> that when I M-q to fill-paragraph, it'll work correctly *within* the
>> Javadoc, rather than reflowing my code into a jumbled mess.
>

Hi Stefan,

> Ah, I see, yes, that makes sense.  The fix is to not change
> paragraph-start (and friends) in the major-mode hook but instead to
> define override the fill-forward-paragraph-function with a function
> which let-binds those vars and then calls forward-paragraph.

Thanks for the vertict, I'll fix that in js2-mode, 

This doesn't look straightforward to do, though: the final
`paragraph-start' is obtained by calling `c-setup-paragraph-variables',
so to get the value computed both ways, guess we'll have to call it at
least twice.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17978; Package emacs. Full text available.

Message received at 17978 <at> debbugs.gnu.org:


Received: (at 17978) by debbugs.gnu.org; 10 Jul 2014 03:07:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 09 23:07:09 2014
Received: from localhost ([127.0.0.1]:51526 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X54hQ-0006hu-Sg
	for submit <at> debbugs.gnu.org; Wed, 09 Jul 2014 23:07:09 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:49973)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1X54hO-0006hP-9L
 for 17978 <at> debbugs.gnu.org; Wed, 09 Jul 2014 23:07:07 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArUGAIDvNVNLd+D9/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCwsOJhIUGA0kiAQI0hkXjnoHhDgEqRmBaoNMIQ
X-IPAS-Result: ArUGAIDvNVNLd+D9/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCwsOJhIUGA0kiAQI0hkXjnoHhDgEqRmBaoNMIQ
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="77034842"
Received: from 75-119-224-253.dsl.teksavvy.com (HELO pastel.home)
 ([75.119.224.253])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 09 Jul 2014 23:06:59 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 613B360A86; Wed,  9 Jul 2014 23:06:57 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Justine Tunney <jart@HIDDEN>
Subject: Re: bug#17978: 24.3; forward-paragraph broken with javadocs
Message-ID: <jwvbnsxq5hn.fsf-monnier+emacsbugs@HIDDEN>
References: <CAKTZs+oC7r4ojzPZMbAJWZMFFbnaO4SjcqaQGCJX90Hf07x03Q@HIDDEN>
 <jwvd2denxl6.fsf-monnier+emacsbugs@HIDDEN>
 <CAKTZs+p5ZztfDCSQPjjN_uS4DSDN4mH+KxJq4cVOMbO2zwj5-w@HIDDEN>
 <jwv4myqqiex.fsf-monnier+emacsbugs@HIDDEN>
 <CAKTZs+qChP8BGjqXJNv5XKuCKm2oK65haiaBB_kmB_LGkNKLJg@HIDDEN>
Date: Wed, 09 Jul 2014 23:06:57 -0400
In-Reply-To: <CAKTZs+qChP8BGjqXJNv5XKuCKm2oK65haiaBB_kmB_LGkNKLJg@HIDDEN>
 (Justine Tunney's message of "Wed, 9 Jul 2014 19:40:50 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17978
Cc: 17978 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> C-{ and C-} should cycle between blank lines. But the reason why this
> doesn't happen in java-mode, is because Java redefines the definition of a
> paragraph. It sets the paragraph-start variable (among other variables) so
> that when I M-q to fill-paragraph, it'll work correctly *within* the
> Javadoc, rather than reflowing my code into a jumbled mess.

Ah, I see, yes, that makes sense.  The fix is to not change
paragraph-start (and friends) in the major-mode hook but instead to
define override the fill-forward-paragraph-function with a function
which let-binds those vars and then calls forward-paragraph.

See lisp/vc/add-log.el for an example.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17978; Package emacs. Full text available.

Message received at 17978 <at> debbugs.gnu.org:


Received: (at 17978) by debbugs.gnu.org; 9 Jul 2014 23:48:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 09 19:48:53 2014
Received: from localhost ([127.0.0.1]:51431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X51bZ-0000ly-AX
	for submit <at> debbugs.gnu.org; Wed, 09 Jul 2014 19:48:53 -0400
Received: from mail-ie0-f171.google.com ([209.85.223.171]:39745)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jart@HIDDEN>) id 1X51bW-0000lj-Va
 for 17978 <at> debbugs.gnu.org; Wed, 09 Jul 2014 19:48:51 -0400
Received: by mail-ie0-f171.google.com with SMTP id at1so2256368iec.2
 for <17978 <at> debbugs.gnu.org>; Wed, 09 Jul 2014 16:48:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=xinljVK35zOSlN6S7YfzDCUS+5s0bbZ4hQKms7pZdIo=;
 b=DjXxx13tp8Qjpkq3lkkwfYVvSiBdty9Shr+Tf6Xxyo+67YxP0nNooAurn7lvtKaPpo
 o2wtprQLlThCKXPk6cgaB8zDPGGOn4fdzXlyHrbvf0nvpFsC7SXJ0swO2bTWY9y8OMRh
 7rdKp87jfsm2ud5EQO25tNE2/5EgzY+kB3cI0nwbmpEANmuHB82FMBmaHkNG6NIMJ30h
 +B8dbzvUgxHxXJv53/SqC7iTfTynHNb+gEL9Tarytl6JdcNsJP0Fdek1lzm1E6BOvz3k
 T+13qhcpW0BIxiaiy+GuVSpZkwJuKPEohm38lLkZJqWtaxuBBFQOk6n+KO4NwpP/zPNP
 n1Eg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc:content-type;
 bh=xinljVK35zOSlN6S7YfzDCUS+5s0bbZ4hQKms7pZdIo=;
 b=ai/V8qFtP3dWjvAzAvtSq1KapBvHTpsOH0adfzAP+kFuJN7lOzyi9HDqNg2AUdU0Af
 5x3x/5MfXUn7G4i7jtqpsP/OB8/JL6HpZbGI4l2XXEF7zx9jv71L7sX63JUBhCeO3RXQ
 s0wwbHhXpQnN45HJDLjAhKyBTykyFXOS2UYY7c/v2qyGiiH4oOQgf7Osi7fcnwcQBT9F
 XdidtxAgId0Hv3OpwX9Z984rsKnka03AFzFI824toPmySPAbUceEScprN2IwgevklqTb
 ttp0mdIa/PBik71plGl2NRS3fmWOURbXS34PhBZGvk6B4S5UfJVhr7YGZerzZesEGRa4
 GK+A==
X-Gm-Message-State: ALoCoQmO7pGbyQYnMBxFEp1Q0OAy2XaQOthBLXRx98DSVYY7NNrAav3HzQJDlukwn/TMMyBJA2+4
MIME-Version: 1.0
X-Received: by 10.42.49.196 with SMTP id x4mr7127466icf.85.1404949250319; Wed,
 09 Jul 2014 16:40:50 -0700 (PDT)
Received: by 10.64.236.18 with HTTP; Wed, 9 Jul 2014 16:40:50 -0700 (PDT)
In-Reply-To: <jwv4myqqiex.fsf-monnier+emacsbugs@HIDDEN>
References: <CAKTZs+oC7r4ojzPZMbAJWZMFFbnaO4SjcqaQGCJX90Hf07x03Q@HIDDEN>
 <jwvd2denxl6.fsf-monnier+emacsbugs@HIDDEN>
 <CAKTZs+p5ZztfDCSQPjjN_uS4DSDN4mH+KxJq4cVOMbO2zwj5-w@HIDDEN>
 <jwv4myqqiex.fsf-monnier+emacsbugs@HIDDEN>
Date: Wed, 9 Jul 2014 19:40:50 -0400
Message-ID: <CAKTZs+qChP8BGjqXJNv5XKuCKm2oK65haiaBB_kmB_LGkNKLJg@HIDDEN>
Subject: Re: bug#17978: 24.3; forward-paragraph broken with javadocs
From: Justine Tunney <jart@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: multipart/alternative; boundary=90e6ba21230ffe437704fdcb3c73
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 17978
Cc: 17978 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

--90e6ba21230ffe437704fdcb3c73
Content-Type: text/plain; charset=UTF-8

Assume that I have the following Java source, where # indicates the cursor
position:

/**
 * Does stuff.
 *
 * <p>Hello
 *
 * @see FooBar
 */
private void lol() {}
#


So I press C-{ and this is what happens:


/**
 * Does stuff.
 *
 * <p>Hello
 *
#* @see FooBar
 */
private void lol() {}


And then I press it again:


/**
 * Does stuff.
 *
#* <p>Hello
 *
 * @see FooBar
 */
private void lol() {}


And here's what I expected to happen:


#
/**
 * Does stuff.
 *
 * <p>Hello
 *
 * @see FooBar
 */
private void lol() {}


C-{ and C-} should cycle between blank lines. But the reason why this
doesn't happen in java-mode, is because Java redefines the definition of a
paragraph. It sets the paragraph-start variable (among other variables) so
that when I M-q to fill-paragraph, it'll work correctly *within* the
Javadoc, rather than reflowing my code into a jumbled mess.


On Wed, Jul 9, 2014 at 6:28 PM, Stefan Monnier <monnier@HIDDEN>
wrote:

> > I included a video explanation: http://youtu.be/cXerimuxNK8
>
> Could you just send plain text showing an example piece of code, then
> a command you use on it, the end result you get and the end result you'd
> like to get instead?
>
> That's surely easier to do, and will save me the trouble of dealing with
> videos which I find unbearable (you can't just look at them, you have to
> additionally listen to them; if you get distracted along the way you end
> up having to start over; half the time there's a technical problem; you
> can't choose the speed at which you "read/view", so you have to wait
> for irrelevant crap before getting to the point; it's a huge waste of
> bandwidth).
>
>
>         Stefan
>

--90e6ba21230ffe437704fdcb3c73
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Assume that I have the following Java source, where # indi=
cates the cursor position:<div><br></div><blockquote style=3D"margin:0px 0p=
x 0px 40px;border:none;padding:0px"><div>/**</div><div>=C2=A0* Does stuff.<=
/div><div>
=C2=A0*</div><div>=C2=A0* &lt;p&gt;Hello</div><div>=C2=A0*</div><div>=C2=A0=
* @see FooBar</div><div>=C2=A0*/</div><div>private void lol() {}</div><div>=
#</div></blockquote><div><br></div><div>So I press C-{ and this is what hap=
pens:</div><div><blockquote style=3D"margin:0px 0px 0px 40px;border:none;pa=
dding:0px">
<div><br class=3D"">/**</div><div>=C2=A0* Does stuff.</div><div>=C2=A0*</di=
v><div>=C2=A0* &lt;p&gt;Hello</div><div>=C2=A0*</div><div>#* @see FooBar</d=
iv><div>=C2=A0*/</div><div>private void lol() {}</div></blockquote><br></di=
v><div>And then I press it again:</div>
<div><blockquote style=3D"margin:0px 0px 0px 40px;border:none;padding:0px">=
<div><br class=3D"">/**</div><div>=C2=A0* Does stuff.</div><div>=C2=A0*</di=
v><div>#* &lt;p&gt;Hello</div><div>=C2=A0*</div><div>=C2=A0* @see FooBar</d=
iv><div>=C2=A0*/</div><div>
private void lol() {}</div></blockquote><br></div><div>And here&#39;s what =
I expected to happen:</div><div><blockquote style=3D"margin:0px 0px 0px 40p=
x;border:none;padding:0px"><div><br>#<br class=3D"">/**</div><div>=C2=A0* D=
oes stuff.</div>
<div>=C2=A0*</div><div>=C2=A0* &lt;p&gt;Hello</div><div>=C2=A0*</div><div>=
=C2=A0* @see FooBar</div><div>=C2=A0*/</div><div>private void lol() {}</div=
></blockquote><br></div><div>C-{ and C-} should cycle between blank lines. =
But the reason why this doesn&#39;t happen in java-mode, is because Java re=
defines the definition of a paragraph. It sets the paragraph-start variable=
 (among other variables) so that when I M-q to fill-paragraph, it&#39;ll wo=
rk correctly *within* the Javadoc, rather than reflowing my code into a jum=
bled mess.</div>
</div><div class=3D"gmail_extra"><br><br><div class=3D"gmail_quote">On Wed,=
 Jul 9, 2014 at 6:28 PM, Stefan Monnier <span dir=3D"ltr">&lt;<a href=3D"ma=
ilto:monnier@HIDDEN" target=3D"_blank">monnier@HIDDEN</=
a>&gt;</span> wrote:<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><div class=3D"">&gt; I included a video expl=
anation: <a href=3D"http://youtu.be/cXerimuxNK8" target=3D"_blank">http://y=
outu.be/cXerimuxNK8</a><br>

<br>
</div>Could you just send plain text showing an example piece of code, then=
<br>
a command you use on it, the end result you get and the end result you&#39;=
d<br>
like to get instead?<br>
<br>
That&#39;s surely easier to do, and will save me the trouble of dealing wit=
h<br>
videos which I find unbearable (you can&#39;t just look at them, you have t=
o<br>
additionally listen to them; if you get distracted along the way you end<br=
>
up having to start over; half the time there&#39;s a technical problem; you=
<br>
can&#39;t choose the speed at which you &quot;read/view&quot;, so you have =
to wait<br>
for irrelevant crap before getting to the point; it&#39;s a huge waste of<b=
r>
bandwidth).<br>
<span class=3D"HOEnZb"><font color=3D"#888888"><br>
<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Stefan<br>
</font></span></blockquote></div><br></div>

--90e6ba21230ffe437704fdcb3c73--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17978; Package emacs. Full text available.

Message received at 17978 <at> debbugs.gnu.org:


Received: (at 17978) by debbugs.gnu.org; 9 Jul 2014 22:29:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 09 18:29:04 2014
Received: from localhost ([127.0.0.1]:48226 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X50MJ-0005q4-B3
	for submit <at> debbugs.gnu.org; Wed, 09 Jul 2014 18:29:03 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:54122)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1X50MG-0005pY-TV
 for 17978 <at> debbugs.gnu.org; Wed, 09 Jul 2014 18:29:01 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArYGAIDvNVNLd+D9/2dsb2JhbABZgwY7gw/APYEXF3SCJQEBAQECAVYjBQsLDiYSFBgNJIgECNIZF456B4Q4BJoBizuDXYFqg0wh
X-IPAS-Result: ArYGAIDvNVNLd+D9/2dsb2JhbABZgwY7gw/APYEXF3SCJQEBAQECAVYjBQsLDiYSFBgNJIgECNIZF456B4Q4BJoBizuDXYFqg0wh
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="77014076"
Received: from 75-119-224-253.dsl.teksavvy.com (HELO pastel.home)
 ([75.119.224.253])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 09 Jul 2014 18:28:54 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id AE3AF60A86; Wed,  9 Jul 2014 18:28:54 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Justine Tunney <jart@HIDDEN>
Subject: Re: bug#17978: 24.3; forward-paragraph broken with javadocs
Message-ID: <jwv4myqqiex.fsf-monnier+emacsbugs@HIDDEN>
References: <CAKTZs+oC7r4ojzPZMbAJWZMFFbnaO4SjcqaQGCJX90Hf07x03Q@HIDDEN>
 <jwvd2denxl6.fsf-monnier+emacsbugs@HIDDEN>
 <CAKTZs+p5ZztfDCSQPjjN_uS4DSDN4mH+KxJq4cVOMbO2zwj5-w@HIDDEN>
Date: Wed, 09 Jul 2014 18:28:54 -0400
In-Reply-To: <CAKTZs+p5ZztfDCSQPjjN_uS4DSDN4mH+KxJq4cVOMbO2zwj5-w@HIDDEN>
 (Justine Tunney's message of "Wed, 9 Jul 2014 17:11:19 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17978
Cc: 17978 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> I included a video explanation: http://youtu.be/cXerimuxNK8

Could you just send plain text showing an example piece of code, then
a command you use on it, the end result you get and the end result you'd
like to get instead?

That's surely easier to do, and will save me the trouble of dealing with
videos which I find unbearable (you can't just look at them, you have to
additionally listen to them; if you get distracted along the way you end
up having to start over; half the time there's a technical problem; you
can't choose the speed at which you "read/view", so you have to wait
for irrelevant crap before getting to the point; it's a huge waste of
bandwidth).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17978; Package emacs. Full text available.

Message received at 17978 <at> debbugs.gnu.org:


Received: (at 17978) by debbugs.gnu.org; 9 Jul 2014 21:11:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 09 17:11:30 2014
Received: from localhost ([127.0.0.1]:48169 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X4z9F-0003OZ-4o
	for submit <at> debbugs.gnu.org; Wed, 09 Jul 2014 17:11:29 -0400
Received: from mail-ie0-f178.google.com ([209.85.223.178]:64466)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jart@HIDDEN>) id 1X4z9B-0003OF-8O
 for 17978 <at> debbugs.gnu.org; Wed, 09 Jul 2014 17:11:26 -0400
Received: by mail-ie0-f178.google.com with SMTP id rl12so6532108iec.23
 for <17978 <at> debbugs.gnu.org>; Wed, 09 Jul 2014 14:11:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=DOcmN2Y9tAo+PdUw1e7+k4nLrbVHXIvsfW2ZQmKZNqo=;
 b=ZY1wdfAEZ8z9KNXhKa2l75NCZ625heaBNy1JAn25j/npuQ4ZnpVJngog1YKY9XsfXO
 GUrxHz2atMNbb8PHc/OVHnvJ3jFSnrtVeKPAsczma27JYyLaEGUAiMBgB6Ng+33Nl0nq
 8R2qmsdbIqTikpU0OgRRyA1/YBl0HqPmyh8SPZx1lFBHlTOLJCTR87dCh2L4sUKT+xrh
 dY2lb98KnpSOo615cTWchlXovqusguB+maIkiB3/3ZI1Cp2bMdIAkdqAOkCs/YyiBoDg
 +5gT203Om0HujBugUrl8/OOFukj6YhQs+vNOKDGJ+/jnk5+8vCiQe0Mm6GTbFLma0hih
 J4cg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc:content-type;
 bh=DOcmN2Y9tAo+PdUw1e7+k4nLrbVHXIvsfW2ZQmKZNqo=;
 b=kJO0hU2oCPU4ZIbnUHmicaAT1rafXYavhO65rEk10oC3/x4fojZZdJVzzo8aGcl0tP
 ACGbj/5OzNINTCB2BYzBSgrO+EVEAQEOhWhel2KkMTYnEgCeySiFK2PjhL4U8l5DRH3k
 mXy2i4+whC/71IXDBE7LWRRxb7CY+fm86Z0PMBB1vHzLRskG15/zxRKLzLgsjU/Wlnyp
 stjXxRhXW4sWlHk7VGZVVo8zLg0NYmvU2qVeQBYhjVoqZ6hQ3Ghu344Kt/vIBCuPNzuj
 elRrwT7Bn1JjFlbU34bw8Ob9/trjCgzXfPMWEQFleIXAdcokt+JyM/4BTS1YoDuurLEb
 b+Jg==
X-Gm-Message-State: ALoCoQkMteyhyQRRDXa3ZgvGSlCSZx91s4Y6ycNlUFANoBOhP/CpSkS/Vrwzz/uXI58qqwI4aBRW
MIME-Version: 1.0
X-Received: by 10.43.93.199 with SMTP id bv7mr5247057icc.1.1404940279635; Wed,
 09 Jul 2014 14:11:19 -0700 (PDT)
Received: by 10.64.236.18 with HTTP; Wed, 9 Jul 2014 14:11:19 -0700 (PDT)
In-Reply-To: <jwvd2denxl6.fsf-monnier+emacsbugs@HIDDEN>
References: <CAKTZs+oC7r4ojzPZMbAJWZMFFbnaO4SjcqaQGCJX90Hf07x03Q@HIDDEN>
 <jwvd2denxl6.fsf-monnier+emacsbugs@HIDDEN>
Date: Wed, 9 Jul 2014 17:11:19 -0400
Message-ID: <CAKTZs+p5ZztfDCSQPjjN_uS4DSDN4mH+KxJq4cVOMbO2zwj5-w@HIDDEN>
Subject: Re: bug#17978: 24.3; forward-paragraph broken with javadocs
From: Justine Tunney <jart@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: multipart/alternative; boundary=bcaec517c85e4c7fc404fdc92654
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 17978
Cc: 17978 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

--bcaec517c85e4c7fc404fdc92654
Content-Type: text/plain; charset=UTF-8

I included a video explanation: http://youtu.be/cXerimuxNK8

The same problem I demonstrate in the video, also applies to java-mode.
When you hit C-{ and C-}, rather than go to the next blank line, it'll go
to @tags in javadocs.


On Wed, Jul 9, 2014 at 3:26 PM, Stefan Monnier <monnier@HIDDEN>
wrote:

> > The default emacs behavior for the forward-paragraph and
> > backward-paragraph functions is to hop between blank lines in a source
> > code file. This breaks in java-mode in the presence of javadoc @clauses.
>
> In which sense does it "break"?  Can you show some example code and the
> behavior you expect compared to the behavior you get?
>
>
>         Stefan
>

--bcaec517c85e4c7fc404fdc92654
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I included a video explanation:=C2=A0<a href=3D"http://you=
tu.be/cXerimuxNK8">http://youtu.be/cXerimuxNK8</a><div><br></div><div>The s=
ame problem I demonstrate in the video, also applies to java-mode. When you=
 hit C-{ and C-}, rather than go to the next blank line, it&#39;ll go to @t=
ags in javadocs.</div>
</div><div class=3D"gmail_extra"><br><br><div class=3D"gmail_quote">On Wed,=
 Jul 9, 2014 at 3:26 PM, Stefan Monnier <span dir=3D"ltr">&lt;<a href=3D"ma=
ilto:monnier@HIDDEN" target=3D"_blank">monnier@HIDDEN</=
a>&gt;</span> wrote:<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">&gt; The default emacs behavior for the forw=
ard-paragraph and<br>
&gt; backward-paragraph functions is to hop between blank lines in a source=
<br>
&gt; code file. This breaks in java-mode in the presence of javadoc @clause=
s.<br>
<br>
In which sense does it &quot;break&quot;? =C2=A0Can you show some example c=
ode and the<br>
behavior you expect compared to the behavior you get?<br>
<span class=3D"HOEnZb"><font color=3D"#888888"><br>
<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Stefan<br>
</font></span></blockquote></div><br></div>

--bcaec517c85e4c7fc404fdc92654--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17978; Package emacs. Full text available.

Message received at 17978 <at> debbugs.gnu.org:


Received: (at 17978) by debbugs.gnu.org; 9 Jul 2014 19:26:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 09 15:26:58 2014
Received: from localhost ([127.0.0.1]:48104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X4xW2-0007Oh-3f
	for submit <at> debbugs.gnu.org; Wed, 09 Jul 2014 15:26:58 -0400
Received: from mercure.iro.umontreal.ca ([132.204.24.67]:57260)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1X4xVw-0007OR-SQ
 for 17978 <at> debbugs.gnu.org; Wed, 09 Jul 2014 15:26:53 -0400
Received: from hidalgo.iro.umontreal.ca (hidalgo.iro.umontreal.ca
 [132.204.27.50])
 by mercure.iro.umontreal.ca (Postfix) with ESMTP id AB9E584DD2;
 Wed,  9 Jul 2014 15:26:48 -0400 (EDT)
Received: from lechon.iro.umontreal.ca (lechon.iro.umontreal.ca
 [132.204.27.242])
 by hidalgo.iro.umontreal.ca (Postfix) with ESMTP id 731891E5B8B;
 Wed,  9 Jul 2014 15:26:24 -0400 (EDT)
Received: by lechon.iro.umontreal.ca (Postfix, from userid 20848)
 id 52438B4167; Wed,  9 Jul 2014 15:26:24 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Justine Tunney <jart@HIDDEN>
Subject: Re: bug#17978: 24.3; forward-paragraph broken with javadocs
Message-ID: <jwvd2denxl6.fsf-monnier+emacsbugs@HIDDEN>
References: <CAKTZs+oC7r4ojzPZMbAJWZMFFbnaO4SjcqaQGCJX90Hf07x03Q@HIDDEN>
Date: Wed, 09 Jul 2014 15:26:24 -0400
In-Reply-To: <CAKTZs+oC7r4ojzPZMbAJWZMFFbnaO4SjcqaQGCJX90Hf07x03Q@HIDDEN>
 (Justine Tunney's message of "Wed, 9 Jul 2014 13:53:01 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-DIRO-MailScanner-Information: Please contact the ISP for more information
X-DIRO-MailScanner: Found to be clean
X-DIRO-MailScanner-SpamCheck: n'est pas un polluriel,
 SpamAssassin (score=-2.82, requis 5, autolearn=not spam,
 ALL_TRUSTED -2.82, MC_TSTLAST 0.00)
X-DIRO-MailScanner-From: monnier@HIDDEN
X-Spam-Status: No
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 17978
Cc: 17978 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

> The default emacs behavior for the forward-paragraph and
> backward-paragraph functions is to hop between blank lines in a source
> code file. This breaks in java-mode in the presence of javadoc @clauses.

In which sense does it "break"?  Can you show some example code and the
behavior you expect compared to the behavior you get?


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17978; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Jul 2014 18:13:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 09 14:13:17 2014
Received: from localhost ([127.0.0.1]:48034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X4wMj-0005At-18
	for submit <at> debbugs.gnu.org; Wed, 09 Jul 2014 14:13:16 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55293)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jart@HIDDEN>) id 1X4w3P-0004XZ-8S
 for submit <at> debbugs.gnu.org; Wed, 09 Jul 2014 13:53:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jart@HIDDEN>) id 1X4w3F-0007jy-Pf
 for submit <at> debbugs.gnu.org; Wed, 09 Jul 2014 13:53:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,HTML_MESSAGE,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47766)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jart@HIDDEN>) id 1X4w3F-0007ju-Kq
 for submit <at> debbugs.gnu.org; Wed, 09 Jul 2014 13:53:05 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57000)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jart@HIDDEN>) id 1X4w3E-0002qG-FR
 for bug-gnu-emacs@HIDDEN; Wed, 09 Jul 2014 13:53:05 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jart@HIDDEN>) id 1X4w3D-0007jX-93
 for bug-gnu-emacs@HIDDEN; Wed, 09 Jul 2014 13:53:04 -0400
Received: from mail-ie0-x22e.google.com ([2607:f8b0:4001:c03::22e]:51051)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jart@HIDDEN>) id 1X4w3D-0007jO-2t
 for bug-gnu-emacs@HIDDEN; Wed, 09 Jul 2014 13:53:03 -0400
Received: by mail-ie0-f174.google.com with SMTP id rd18so6606091iec.19
 for <bug-gnu-emacs@HIDDEN>; Wed, 09 Jul 2014 10:53:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=UBtwyITnftWzk4aULSURav8qlGyClOln3W5S0Gakjv4=;
 b=KTX7fn7jS4dSXUwVmD5NK8WnUc6QABderSiB2EcvxQNs9CIIaKNkcQsZ0G7Bpz4dZ4
 lV9Yr0bx+g1Msg/edtYHyIckzXTHXgyJRP6wNRduFntOxBQxj2q+wcdkNO7EogB2Njxt
 RZgG8rX3W4Wc+hPUD3wl9catL6zrARsCo9Q5EGCUskO7lUOmf8g0gmQr+F9mZjktBXNv
 es1wZkBGqQGeLA/D5LmZIu5XSn+hxdl/OzIjMz2YLEeapSC19/em3P7zgCUFW8T07Z1F
 vgpZ1SsLdH9wS3qRP2FWi5Uqn7YuShkPEMnsWrXrbxr7Ah++z0lhQ/GWUoD56REyZHZQ
 63eQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:date:message-id:subject:from:to
 :content-type;
 bh=UBtwyITnftWzk4aULSURav8qlGyClOln3W5S0Gakjv4=;
 b=f2fXnOJcwXlXpTCcxq6bGTcwbK/JFHMe42A+HFSK3JsA6Zr65O0GDMk21yRj/CP/EY
 SBV6cvDFpCrcxai8lQ03cdLRcIsQlb6nMaOOi5Ax5sOclEVikt125fUcBZq3XXLCium5
 ha8dwjFg5/3DJeznmnnxAka9FSpu/CPx6AnqltvHTKlO69gP/pgokZP1vV5QUeuBgcAn
 VXhOJWzKj3TzymrSkgNwRp3jrgnPbOwt1dn/86APiJ1LJj+wRx3lRrtuxpKHo6W1/oSG
 94YZbuK6+267EBfMAgR98IUatESVY7A6ij0UTjuJuTFILWoM4oXA46+nOYun63TdMNVk
 gGWQ==
X-Gm-Message-State: ALoCoQmHJWDQ3hjGcA9x87HmkyT0VR0smYN4h/NcLHwoeCH+KPQdBhkNnyegql5QSqADk61BljrX
MIME-Version: 1.0
X-Received: by 10.50.138.99 with SMTP id qp3mr15287481igb.12.1404928381611;
 Wed, 09 Jul 2014 10:53:01 -0700 (PDT)
Received: by 10.64.236.18 with HTTP; Wed, 9 Jul 2014 10:53:01 -0700 (PDT)
Date: Wed, 9 Jul 2014 13:53:01 -0400
Message-ID: <CAKTZs+oC7r4ojzPZMbAJWZMFFbnaO4SjcqaQGCJX90Hf07x03Q@HIDDEN>
Subject: 24.3; forward-paragraph broken with javadocs
From: Justine Tunney <jart@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a11c3c6e01f279504fdc661d7
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 09 Jul 2014 14:13:11 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a11c3c6e01f279504fdc661d7
Content-Type: text/plain; charset=UTF-8

The default emacs behavior for the forward-paragraph and
backward-paragraph functions is to hop between blank lines in a source
code file. This breaks in java-mode in the presence of javadoc @clauses.

I sent a pull request to the js2-mode project (which also supports
javadocs, and thus the same error occurs) but it was rejected since they
told me it was an emacs bug.

Here's the pull request I sent the js2-mode authors:
https://github.com/mooz/js2-mode/pull/147

Here's the video explanation I gave the js2-mode authors:
http://youtu.be/cXerimuxNK8

Thanks!

--001a11c3c6e01f279504fdc661d7
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>The default emacs behavior for the forward-paragraph =
and</div><div>backward-paragraph functions is to hop between blank lines in=
 a source</div><div>code file. This breaks in java-mode in the presence of =
javadoc @clauses.</div>
<div><br></div><div>I sent a pull request to the js2-mode project (which al=
so supports</div><div>javadocs, and thus the same error occurs) but it was =
rejected since they</div><div>told me it was an emacs bug.</div><div><br>
</div><div>Here&#39;s the pull request I sent the js2-mode authors:</div><d=
iv><a href=3D"https://github.com/mooz/js2-mode/pull/147">https://github.com=
/mooz/js2-mode/pull/147</a></div><div><br></div><div>Here&#39;s the video e=
xplanation I gave the js2-mode authors:</div>
<div><a href=3D"http://youtu.be/cXerimuxNK8">http://youtu.be/cXerimuxNK8</a=
></div><div><br></div><div>Thanks!</div></div>

--001a11c3c6e01f279504fdc661d7--




Acknowledgement sent to Justine Tunney <jart@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17978; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.